# deleteByMulti

## Description

Removes specified records from multiple fields in a dataset.

## Input / Parameter

| Name     | Description                                             | Input Type  | Default | Options | Required |
| -------- | ------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| dataset  | The name of the local table to remove the records from. | String/Text | -       | -       | Yes      |
| first?   | ?                                                       | String/Text | -       | -       | No       |
| filter   | The filters for the field and value to remove.          | Array/List  | -       | -       | Yes      |
| orFilter | Additional filters for the field and value to remove.   | Array/List  | -       | -       | No       |
| extra    | Extra parameters stored and passed to callback.         | Any         | -       | -       | No       |

## Output

| Description                                | Output Type |
| ------------------------------------------ | ----------- |
| Returns the updated local table as a list. | Array/List  |

## Callback?

### callback

The function to be executed if the specified records are removed successfully.

### errorCallback

The function to be executed if the specified records are not removed successfully.

## Video

Coming Soon.

## Example

The user wants to delete the field id=25 and name=ABC from dataset "l\_customer".

### Step

1. Call the function "deleteByMulti" and define the dataset.\
   dataset: l\_customer<br>

   ![](/files/Mm3pN91QQpRSfMXk3oJD)
2. Set toArray and toObject function to filter and define the value of object.\
   filter: toArray --> toObject\
   id: 25\
   name: A1A2A3A4<br>

   ![](/files/wsBA9lJbmeyJJ7H8yb9n) ![](/files/9sP3OPOjVvgz89dLxQNu) ![](/files/7wlPLyZKhlAGaBNT8cUj)

### Result

![](/files/EgXNJCE81qqNJ2S4yqVM) ( Before delete, the id=25; name= A1A2A3A4 is still store in the local table. )

![](/files/n9iSbDwx258iSg5zZnEC) ( After delete, id=25; name= A1A2A3A4 was removed in local table.)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/deletebymulti.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
